import { Vue } from "vue-property-decorator";
import { MessageThread } from "../../types/MessageThread";
import MessageModule from "../../modules/MessageModule";
export default class Thread extends Vue {
    thread: MessageThread;
    messageModule: MessageModule;
    dense: boolean;
    isEdit: boolean;
    isLoadingProcessedAt: boolean;
    isShowManagersForm: boolean;
    isShowReplyForm: boolean;
    closeThread(): void;
    openThread(): void;
    subscribeMe(managerUid: string): void;
    wrapWithLoading(fn: Function): Promise<void>;
    updateManagers(managerUids: string[]): void;
}
